<template>
  <q-layout view="lHh Lpr lFf" style="background-color: white">
    <q-header elevated>
      <q-bar class="q-electron-drag bg-light-blue-8 text-white">
        <q-icon name="laptop_chromebook" />
        <div>Forcecast NEXT</div>

        <q-space />

        <q-btn dense flat icon="minimize" @click="minimize" />
        <q-btn dense flat icon="crop_square" @click="toggleMaximize" />
        <q-btn dense flat icon="close" @click="closeApp" />
      </q-bar>
    </q-header>

    <q-page-container>
      <router-view />
    </q-page-container>
  </q-layout>
</template>

<script lang="ts">
import { defineComponent } from 'vue';

export default defineComponent({
  name: 'MainLayout',
  setup() {
    function minimize() {
      if (process.env.MODE === 'electron') {
        window.myWindowAPI.minimize();
      }
    }

    function toggleMaximize() {
      if (process.env.MODE === 'electron') {
        window.myWindowAPI.toggleMaximize();
      }
    }

    function closeApp() {
      if (process.env.MODE === 'electron') {
        window.myWindowAPI.close();
      }
    }

    return { minimize, toggleMaximize, closeApp };
  },
});
</script>

<style lang="sass">
.notification
  margin-top: 6rem
</style>
